Unraid OS version 6.9.0 available


332 posts in this topic Last Reply

Recommended Posts

Refer to Summary of New Features for an overview of changes since version 6.8.

 

To upgrade:

  • First create a backup of your USB flash boot device: Main/Flash/Flash Backup
  • If you are running any 6.4 or later release, click 'Check for Updates' on the Tools/Update OS page.
  • If you are running a pre-6.4 release, click 'Check for Updates' on the Plugins page.
  • If the above doesn't work, navigate to Plugins/Install Plugin, select/copy/paste this plugin URL and click Install:
    https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg

 

Bugs: If you discover a bug or other issue in this release, please open a Stable Releases Bug Report.

 

From myself and everyone at Lime Technology, I want to express heartfelt thanks to the Community for helping with testing, providing feedback and code changes.  Hopefully this is the last of the massive releases; as a company we are committed to producing smaller, more frequent stable releases.

- Tom Mortensen

 

Reverting back to 6.8.3

If you have a cache disk/pool it will be necessary to either:

  • restore the flash backup you created before upgrading (you did create a backup, right?), or
  • on your flash, copy 'config/disk.cfg.bak' to 'config/disk.cfg' (restore 6.8.3 cache assignment), or
  • manually re-assign storage devices assigned to cache back to cache

 

This is because to support multiple pools, code detects the upgrade to 6.9.0 and moves the 'cache' device settings out of 'config/disk.cfg' and into 'config/pools/cache.cfg'.  If you downgrade back to 6.8.3 these settings need to be restored.

 

 

  • Like 23
  • Thanks 13
Link to post
  • Replies 331
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Refer to Summary of New Features for an overview of changes since version 6.8.   To upgrade: First create a backup of your USB flash boot device: Main/Flash/Flash Backup If yo

Successfully upgraded 3 (encrypted) systems from 6.8.3 to 6.9.0.   One of the 6.8.3 systems was running nvidia-plugin, upgrade procedure:   0. Stop docker containers from auto-star

I'll wait for 6.9.1.   There's always some unforeseen bugs that crop up on hardware and I've learned there's no reason to rush these things.      Thanks for all the hard work

Posted Images

@limetech, thank you for formally recognizing the developers who contributed and worked on the nvidia driver

 

https://wiki.unraid.net/Unraid_OS_6.9.0#Nvidia_Driver ) :::

 

Quote

One of the most popular third-party drivers requested for Unraid OS is Nvidia's GPU Linux driver. This driver is required for transcoding capability in Docker containers. Providing this driver as a plugin for Unraid OS has required a lot of work to set up a dev environment, compile the driver and tools, and then unpack bzmodules, add the driver, create new bzmodules, and then finally replace in USB flash root directory. This work has been accomplished by Community members @CHBMB, @bass_rock, and others. Building on their work, along with member @ich777 we now create separate Nvidia driver packages built against each new Unraid OS release that uses a new kernel, but not directly included in the base bz* distribution.

 

Edited by ezhik
Link to post

I'll wait for 6.9.1.

 

There's always some unforeseen bugs that crop up on hardware and I've learned there's no reason to rush these things. 

 

 

Thanks for all the hard work in finally bringing this release out to the masses.

Link to post
1 hour ago, limetech said:

Refer to Summary of New Features for an overview of changes since version 6.8....

 

This is some fantastic documentation!!! I didn't realize it'd all been changed from the old format lol - it'd been on my list of 'things to do to be helpful' (getting the wiki at least commented with updates, if not fully worked over of course), but y'all did a stellar job.

 

Thanks dudes!

  • Like 3
  • Thanks 2
Link to post
5 minutes ago, Natebur said:

I kept having kernel panics with the betas. Anyone had those? Any one know if they’re resolved in stable?

 

Is there a thread about this? I'd be curious to see the logging details

Link to post

Successfully upgraded 3 (encrypted) systems from 6.8.3 to 6.9.0.

 

One of the 6.8.3 systems was running nvidia-plugin, upgrade procedure:

 

0. Stop docker containers from auto-starting.

1. Download and upgrade to 6.9.0 without rebooting.

2. Go to plugins and select old nvidia plugin, select it and remove.

3. Reboot.

4. Install new nvidia plugin: https://raw.githubusercontent.com/ich777/unraid-nvidia-driver/master/nvidia-driver.plg

5. WAIT FOR PROPER INSTALL TO FINISH - IT TAKES TIME

6. Stop and start Docker service

7. Enjoy.

 

NOTE: Your GPU ID should not change.

Edited by ezhik
  • Like 4
  • Thanks 7
Link to post
8 minutes ago, BVD said:

 

Is there a thread about this? I'd be curious to see the logging details

No. I believe I asked about it in the Facebook group, but I don’t believe I opened a thread on the forum. I dropped the ball on that

Link to post

Upgraded one server from 6.8 to 6.9 without issue - and am happy to upgrade as my second server has been running 6.9 betas/RC's with very few issues and is happy to say that 6.9 has been well tested :)

  • Like 4
  • Thanks 1
Link to post
8 minutes ago, mcrommert said:

Well like the last rc - you still can't set the alarm temp for cache (at least) drives

 

Is there a bug report that describes the problem in more detail? I was just able to change the "Warning disk temperature threshold" and "Critical disk temperature threshold" for my cache drive in rc2 without any problems. But maybe you are referring to something else?

Link to post
2 minutes ago, ljm42 said:

Is there a bug report that describes the problem in more detail? I was just able to change the "Warning disk temperature threshold" and "Critical disk temperature threshold" for my cache drive in rc2 without any problems. But maybe you are referring to something else?

Not personally effected (maybe because I had set this prior to 6.9), but heres the bug report, I think there is also a duplicate report elsewhere with additional info

 

Link to post
1 hour ago, BVD said:

 

This is some fantastic documentation!!! I didn't realize it'd all been changed from the old format lol - it'd been on my list of 'things to do to be helpful' (getting the wiki at least commented with updates, if not fully worked over of course), but y'all did a stellar job.

 

Thanks dudes!

 

We're trying to up our documentation game!  If you, or anyone else, want to contribute to wiki docs, please PM @jonp or @SpencerJ who will give you edit privilege. 👍

 

  • Like 5
  • Thanks 2
Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.